Subject: Re: bug#35418: [PATCH] Don't poll auto-revert files that use notification

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 May 2019 13:58:46 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Wed, 8 May 2019 12:18:30 +0200
> Cc: Michael Albinus <[email-masked]>, [email-masked]
> 
> With the patch, auto-revert on non-file buffers will work where at all possible; it just won't use notification for buffers other than Dired.

I asked whether Dired is the only exception, or is there some more
general sign that a buffer could use notifications.  I'm still not
sure what the answer is to that question.  I don't have any doubt that
Dired will work with notifications, but is the only way to have
exceptions is by naming their major modes explicitly?

IOW, I wonder whether your proposed patch could be made more general
in some way.

Thanks.